[![Build Status](https://drone.deadbeef.codes/api/badges/steven/development-environment/status.svg)](https://drone.deadbeef.codes/steven/development-environment)

# development-environment

This is my personal development container implemented using IaC concepts.  

It includes:

* Debian
* vscode (web)
* Go

# Future: Adding Python

The following could be used to add Python.  Upstream Python only provides source based downloads and requires building from source.  Requires GCC and some other build-time dependancies.  I might use Drone CICD for building Python and then just copy the artifacts into my dev environment.  

```Dockerfile
# Install Python
RUN curl -L -O https://www.python.org/ftp/python/3.9.0/Python-3.9.0.tar.xz && \
    tar xvf Python-3.9.0.tar.xz && \
    rm -f Python-3.9.0.tar.xz && \
    cd Python-3.9.0 && \
    ./configure --enable-optimizations && \
    make -j 14 && \
    sudo make altinstall && \
    cd .. && \
    rm -rf Python-3.9.0
```